Bug 200545 (CVE-2006-3913) - CVE-2006-3913, freeciv: server buffer overflow issues
Summary: CVE-2006-3913, freeciv: server buffer overflow issues
Status: CLOSED ERRATA
Alias: CVE-2006-3913
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Keywords: Reopened, Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-28 15:42 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 19:13:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-07-28 15:42:00 UTC
CVE-2006-3913, http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-3913 :

Buffer overflow in Freeciv 2.1.0-beta1 and earlier, and SVN 15 Jul 2006 and
earlier, allows remote attackers to cause a denial of service (crash) and
possibly execute arbitrary code via a (1) negative chunk_length or a (2) large
chunk->offset value in a PACKET_PLAYER_ATTRIBUTE_CHUNK packet in the
generic_handle_player_attribute_chunk function in common/packets.c, and (3) a
large packet->length value in the handle_unit_orders function in server/unithand.c.

All FE-[345] and devel are probably affected.

Comment 1 Brian Pepple 2006-08-01 16:58:06 UTC
Thanks for the bug report.  Packages should be available after the next
signing/push.

Comment 2 Ville Skyttä 2006-08-02 17:56:29 UTC
The CVE description of the vulnerability mentions three bugs, but the patch
applied in latest freeciv package revisions appears to address only two of them.

Maybe this is the missing piece?
http://svn.gna.org/viewcvs/freeciv?rev=12146&view=rev

Comment 3 Brian Pepple 2006-08-02 22:36:46 UTC
Yeah, that should be added to my patch.  The report stated this was corrected on
July 16th, but the changes you referenced weren't applied to svn until July 24th.

Comment 4 Ville Skyttä 2006-08-07 19:13:24 UTC
Seems to be fixed now, thanks.


Note You need to log in before you can comment on or make changes to this bug.